Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.mock
Class MockActionProxy

    java.lang.Object
      com.opensymphony.xwork2.mock.MockActionProxy

All Implemented Interfaces:
  ActionProxy

    public class MockActionProxy

extends Object
implements ActionProxy

Mock for an `ActionProxy`.

Author:
  Patrick Lightbody (plightbo at gmail dot com)

Field Summary
`(package private) Object` | `action`
`(package private) String` | `actionName`
`(package private) ActionConfig` | `config`
`(package private) Configuration` | `configuration`
`(package private) boolean` | `executedCalled`
`(package private) boolean` | `executeResult`
`(package private) ActionInvocation` | `invocation`
`(package private) String` | `method`
`(package private) String` | `namespace`
`(package private) String` | `returnedResult`

Constructor Summary
`MockActionProxy()`

Method Summary
`String` | `execute()` Execute this ActionProxy.
`Object` | `getAction()`
`String` | `getActionName()`
`ActionConfig` | `getConfig()`
`boolean` | `getExecuteResult()`
`ActionInvocation` | `getInvocation()`
`String` | `getMethod()` Returns the method to execute, or null if no method has been specified (meaning "execute" will be invoked)
`String` | `getNamespace()`
`boolean` | `isExecutedCalled()`
`void` | `prepare()` Called after all dependencies are set
`void` | `setAction(Object action)`
`void` | `setActionName(String actionName)`
`void` | `setConfig(ActionConfig config)`
`void` | `setExecuteResult(boolean executeResult)` Sets whether this ActionProxy should also execute the Result after executing the Action
`void` | `setInvocation(ActionInvocation invocation)`
`void` | `setMethod(String method)` Sets the method to execute for the action invocation.
`void` | `setNamespace(String namespace)`
`void` | `setReturnedResult(String returnedResult)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### action

    Object action

### actionName

    String actionName

### config

    ActionConfig config

### executeResult

    boolean executeResult

### invocation

    ActionInvocation invocation

### namespace

    String namespace

### method

    String method

### executedCalled

    boolean executedCalled

### returnedResult

    String returnedResult

### configuration

    Configuration configuration

Constructor Detail

### MockActionProxy

    public MockActionProxy()

Method Detail

### prepare

    public void prepare()
                 throws Exception

  Description copied from interface: `ActionProxy`
  Called after all dependencies are set

  Specified by:
    `prepare` in interface `ActionProxy`
  Throws:
    `Exception`

### execute

    public String execute()
                   throws Exception

  Description copied from interface: `ActionProxy`
  Execute this ActionProxy. This will set the ActionContext from the ActionInvocation into the ActionContext ThreadLocal before invoking the ActionInvocation, then set the old ActionContext back into the ThreadLocal.

  Specified by:
    `execute` in interface `ActionProxy`
  Returns:
    the result code returned from executing the ActionInvocation
  Throws:
    `Exception`
  See Also:
    `ActionInvocation`

### setReturnedResult

    public void setReturnedResult(String returnedResult)

### isExecutedCalled

    public boolean isExecutedCalled()

### getAction

    public Object getAction()

  Specified by:
    `getAction` in interface `ActionProxy`
  Returns:
    the Action instance for this Proxy

### setAction

    public void setAction(Object action)

### getActionName

    public String getActionName()

  Specified by:
    `getActionName` in interface `ActionProxy`
  Returns:
    the alias name this ActionProxy is mapped to

### setActionName

    public void setActionName(String actionName)

### getConfig

    public ActionConfig getConfig()

  Specified by:
    `getConfig` in interface `ActionProxy`
  Returns:
    the ActionConfig this ActionProxy is built from

### setConfig

    public void setConfig(ActionConfig config)

### getExecuteResult

    public boolean getExecuteResult()

  Specified by:
    `getExecuteResult` in interface `ActionProxy`
  Returns:
    the status of whether the ActionProxy is set to execute the Result after the Action is executed

### setExecuteResult

    public void setExecuteResult(boolean executeResult)

  Description copied from interface: `ActionProxy`
  Sets whether this ActionProxy should also execute the Result after executing the Action

  Specified by:
    `setExecuteResult` in interface `ActionProxy`

### getInvocation

    public ActionInvocation getInvocation()

  Specified by:
    `getInvocation` in interface `ActionProxy`
  Returns:
    the ActionInvocation associated with this ActionProxy

### setInvocation

    public void setInvocation(ActionInvocation invocation)

### getNamespace

    public String getNamespace()

  Specified by:
    `getNamespace` in interface `ActionProxy`
  Returns:
    the namespace the ActionConfig for this ActionProxy is mapped to

### setNamespace

    public void setNamespace(String namespace)

### getMethod

    public String getMethod()

  Description copied from interface: `ActionProxy`
  Returns the method to execute, or null if no method has been specified (meaning "execute" will be invoked)

  Specified by:
    `getMethod` in interface `ActionProxy`

### setMethod

    public void setMethod(String method)

  Description copied from interface: `ActionProxy`
  Sets the method to execute for the action invocation. If no method is specified, the method provided by in the action's configuration will be used.

  Specified by:
    `setMethod` in interface `ActionProxy`
  Parameters:
    `method` - the string name of the method to invoke

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.